Status Pages
List status page components
List components of a status page ordered by position. Requires status_page:view.
GET
bearerAuthheader
AuthorizationBearer <token>Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.
id*stringStatus page ID
Format
uuidComponents
application/json- response
components?array<>curl -X GET 'https://demo.supercheck.dev/api/status-pages/497f6eca-6276-4993-bfeb-53cbbbba6f08/components'Example Response
{ "components": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "position": 0, "monitorIds": [ "b097df87-5e66-49a7-b709-53c1c4c15b17" ], "status": "operational", "showcase": true, "onlyShowIfDegraded": true, "aggregationMethod": "worst_case", "failureThreshold": 0, "autoCreateIncidents": true, "serviceId": "8f8bb40f-b96b-40fe-9064-5031fbe483f9" } ]}